メインコンテンツへスキップ
POST
/
crm
/
v3
/
objects
/
tickets
/
batch
/
read
内部ID、または固有のプロパティー値を基準にチケットをバッチ読み取り
curl --request POST \
  --url https://api.hubapi.com/crm/v3/objects/tickets/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    {
      "id": "430001"
    }
  ],
  "properties": [
    "<string>"
  ],
  "propertiesWithHistory": [
    "<string>"
  ],
  "idProperty": "<string>"
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "archived": false,
      "createdAt": "2019-10-30T03:30:17.883Z",
      "id": "512",
      "properties": {
        "property_checkbox": "false",
        "property_date": "1572480000000",
        "property_dropdown": "choice_b",
        "property_multiple_checkboxes": "chocolate;strawberry",
        "property_number": "17",
        "property_radio": "option_1",
        "property_string": "value"
      },
      "updatedAt": "2019-12-07T16:50:06.678Z"
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "errors": [
    {
      "category": "<string>",
      "context": {},
      "errors": [
        {
          "message": "<string>",
          "code": "<string>",
          "context": "{missingScopes=[scope1, scope2]}",
          "in": "<string>",
          "subCategory": "<string>"
        }
      ],
      "links": {},
      "message": "<string>",
      "status": "<string>",
      "id": "<string>",
      "subCategory": {}
    }
  ],
  "links": {},
  "numErrors": 123,
  "requestedAt": "2023-11-07T05:31:56Z"
}
サポートされる製品
次のいずれかの製品またはそれ以上が必要です。
Marketing HubMarketing Hub無料ツール
Sales HubSales Hub無料ツール
Service HubService Hub無料ツール
Content HubContent Hub無料ツール

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

クエリパラメータ

archived
boolean
デフォルト:false

アーカイブ済みの結果のみを返すかどうか。

ボディ

application/json

CRMオブジェクトをバッチ読み取りするための入力を指定します。これには、オブジェクトIDの配列、要求されたプロパティー名(任意の履歴を含む)、および任意の重複しない識別プロパティーが含まれます。

inputs
object[]
必須
properties
string[]
必須

新しいオブジェクトのプロパティーを設定するためのキーと値のペア。

propertiesWithHistory
string[]
必須

新しいオブジェクトとその履歴のプロパティーを設定するためのキーと値のペア。

idProperty
string

カスタム固有値プロパティーを使用してレコードを取得する場合は、プロパティーの名前。レコードIDによって取得する場合は、このパラメーターを含めないでください。

レスポンス

successful operation

公開オブジェクトのバッチレスポンスオブジェクト

completedAt
string<date-time>
必須

バッチ処理が完了した時点のタイムスタンプ(ISO 8601形式)。

results
object[]
必須
startedAt
string<date-time>
必須

バッチ処理が開始された時点のタイムスタンプ(ISO 8601形式)。

status
enum<string>
必須

バッチ処理リクエストのステータス。想定される値は「COMPLETE」です。

利用可能なオプション:
CANCELED,
COMPLETE,
PENDING,
PROCESSING
errors
object[]

バッチリクエストに関連する、関連性の高いリンクを含むオブジェクト。

numErrors
integer<int32>

バッチ処理中に発生したエラーの合計数。

requestedAt
string<date-time>

バッチ要求が最初に行われた時点のタイムスタンプ(ISO 8601形式)。

Last modified on January 23, 2026